https://bugs.gentoo.org/420241 for x32 stuff
initial x32 support -- no asm code, just pure C

avoid messing too much with CFLAGS.
https://bugs.gentoo.org/show_bug.cgi?id=351219
https://bugs.gentoo.org/show_bug.cgi?id=413661


Index: x264-9999/configure
===================================================================
--- x264-9999.orig/configure
+++ x264-9999/configure
@@ -553,11 +553,6 @@ case $host_cpu in
             if [[ "$asm" == auto && "$CFLAGS" != *-march* ]]; then
                 CFLAGS="$CFLAGS -march=i686"
             fi
-            if [[ "$asm" == auto && "$CFLAGS" != *-mfpmath* ]]; then
-                CFLAGS="$CFLAGS -mfpmath=sse -msse"
-            fi
-            CFLAGS="-m32 $CFLAGS"
-            LDFLAGS="-m32 $LDFLAGS"
         else
             # icc on linux has various degrees of mod16 stack support
             if [ $SYS = LINUX ]; then
@@ -588,13 +583,8 @@ case $host_cpu in
     x86_64)
         ARCH="X86_64"
         AS="yasm"
-        [ $compiler = GNU ] && CFLAGS="-m64 $CFLAGS" && LDFLAGS="-m64 $LDFLAGS"
         if [ "$SYS" = MACOSX ]; then
             ASFLAGS="$ASFLAGS -f macho64 -m amd64 -DPIC -DPREFIX"
-            if cc_check '' "-arch x86_64"; then
-                CFLAGS="$CFLAGS -arch x86_64"
-                LDFLAGS="$LDFLAGS -arch x86_64"
-            fi
         elif [ "$SYS" = WINDOWS ]; then
             ASFLAGS="$ASFLAGS -f win32 -m amd64"
             # only the GNU toolchain is inconsistent in prefixing function names with _
@@ -602,7 +592,11 @@ case $host_cpu in
             [ $compiler = GNU ] && LDFLAGS="$LDFLAGS -Wl,--nxcompat -Wl,--dynamicbase"
             [ $compiler = GNU ] && RCFLAGS="--target=pe-x86-64 $RCFLAGS"
         else
-            ASFLAGS="$ASFLAGS -f elf -m amd64"
+            if cpp_check "" "" "__ILP32__" ; then
+                ASFLAGS="$ASFLAGS -f elf -m x32"
+            else
+                ASFLAGS="$ASFLAGS -f elf -m amd64"
+            fi
         fi
         ;;
     powerpc|powerpc64)
@@ -964,10 +958,6 @@ if [ "$pic" = "yes" ] ; then
     [ $SYS = SunOS -a "$ARCH" = "X86" ] && SOFLAGS="$SOFLAGS -mimpure-text"
 fi
 
-if [ "$debug" != "yes" -a "$gprof" != "yes" ]; then
-    CFLAGS="$CFLAGS -fomit-frame-pointer"
-fi
-
 if [ "$strip" = "yes" ]; then
     CFLAGS="$CFLAGS -s"
     LDFLAGS="$LDFLAGS -s"
